aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libxpm/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-19 19:26:25 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-19 19:26:25 +0000
commita900a17acd068fbb500b805b3cecb514773b0520 (patch)
tree9da1f8022b7cc24e861a381430facc43542bf435 /x11/libxpm/APKBUILD
parent614959309ff3bc6d292168cc10287cb75688340a (diff)
downloadaports-a900a17acd068fbb500b805b3cecb514773b0520.tar.gz
aports-a900a17acd068fbb500b805b3cecb514773b0520.tar.bz2
aports-a900a17acd068fbb500b805b3cecb514773b0520.tar.xz
x11/libxpm: new aport
X11 pixmap library
Diffstat (limited to 'x11/libxpm/APKBUILD')
-rw-r--r--x11/libxpm/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/x11/libxpm/APKBUILD b/x11/libxpm/APKBUILD
new file mode 100644
index 0000000000..8e7db2887d
--- /dev/null
+++ b/x11/libxpm/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxpm
+pkgver=3.5.7
+pkgrel=0
+pkgdesc="X11 pixmap library"
+url="http://xorg.freedesktop.org/"
+license="custom:BELL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="libxt libxext libx11 uclibc"
+makedepends="pkgconfig libxt-dev libxext-dev libx11-dev e2fsprogs-dev"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXpm-$pkgver.tar.bz2
+ nocxx.patch"
+
+depends_dev="libx11-dev"
+build ()
+{
+ cd "$srcdir"/libXpm-$pkgver
+ patch configure < ../nocxx.patch
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="cd15ee542d9f515538b4462a6f79d977 libXpm-3.5.7.tar.bz2
+28513788ba4d556ccd538867dc6205ab nocxx.patch"